编辑图像(qwen-image-edit)
curl --request POST \
--url https://api.geminix.cc/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"model\": \"qwen-image-edit-plus\",\n \"input\": {\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": [\n {\n \"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"\n },\n {\n \"text\": \"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\"\n }\n ]\n }\n ]\n },\n \"parameters\": {\n \"n\": 2,\n \"negative_prompt\": \" \",\n \"prompt_extend\": true,\n \"watermark\": false\n }"
'import requests
url = "https://api.geminix.cc/v1/images/edits"
payload = "{
\"model\": \"qwen-image-edit-plus\",
\"input\": {
\"messages\": [
{
\"role\": \"user\",
\"content\": [
{
\"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"
},
{
\"text\": \"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\"
}
]
}
]
},
\"parameters\": {
\"n\": 2,
\"negative_prompt\": \" \",
\"prompt_extend\": true,
\"watermark\": false
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "model": "qwen-image-edit-plus",\n "input": {\n "messages": [\n {\n "role": "user",\n "content": [\n {\n "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"\n },\n {\n "text": "生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林"\n }\n ]\n }\n ]\n },\n "parameters": {\n "n": 2,\n "negative_prompt": " ",\n "prompt_extend": true,\n "watermark": false\n }')
};
fetch('https://api.geminix.cc/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.geminix.cc/v1/images/edits"
payload := strings.NewReader("\"{\\n \\\"model\\\": \\\"qwen-image-edit-plus\\\",\\n \\\"input\\\": {\\n \\\"messages\\\": [\\n {\\n \\\"role\\\": \\\"user\\\",\\n \\\"content\\\": [\\n {\\n \\\"image\\\": \\\"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\\\"\\n },\\n {\\n \\\"text\\\": \\\"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\\\"\\n }\\n ]\\n }\\n ]\\n },\\n \\\"parameters\\\": {\\n \\\"n\\\": 2,\\n \\\"negative_prompt\\\": \\\" \\\",\\n \\\"prompt_extend\\\": true,\\n \\\"watermark\\\": false\\n }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}Images
编辑图像(qwen-image-edit)
百炼qwen-image系列图片生成
POST
/
v1
/
images
/
edits
编辑图像(qwen-image-edit)
curl --request POST \
--url https://api.geminix.cc/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"model\": \"qwen-image-edit-plus\",\n \"input\": {\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": [\n {\n \"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"\n },\n {\n \"text\": \"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\"\n }\n ]\n }\n ]\n },\n \"parameters\": {\n \"n\": 2,\n \"negative_prompt\": \" \",\n \"prompt_extend\": true,\n \"watermark\": false\n }"
'import requests
url = "https://api.geminix.cc/v1/images/edits"
payload = "{
\"model\": \"qwen-image-edit-plus\",
\"input\": {
\"messages\": [
{
\"role\": \"user\",
\"content\": [
{
\"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"
},
{
\"text\": \"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\"
}
]
}
]
},
\"parameters\": {
\"n\": 2,
\"negative_prompt\": \" \",
\"prompt_extend\": true,
\"watermark\": false
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "model": "qwen-image-edit-plus",\n "input": {\n "messages": [\n {\n "role": "user",\n "content": [\n {\n "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"\n },\n {\n "text": "生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林"\n }\n ]\n }\n ]\n },\n "parameters": {\n "n": 2,\n "negative_prompt": " ",\n "prompt_extend": true,\n "watermark": false\n }')
};
fetch('https://api.geminix.cc/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.geminix.cc/v1/images/edits"
payload := strings.NewReader("\"{\\n \\\"model\\\": \\\"qwen-image-edit-plus\\\",\\n \\\"input\\\": {\\n \\\"messages\\\": [\\n {\\n \\\"role\\\": \\\"user\\\",\\n \\\"content\\\": [\\n {\\n \\\"image\\\": \\\"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\\\"\\n },\\n {\\n \\\"text\\\": \\\"生成一张符合深度图的图像,遵循以下描述:一辆红色的破旧的自行车停在一条泥泞的小路上,背景是茂密的原始森林\\\"\\n }\\n ]\\n }\\n ]\\n },\\n \\\"parameters\\\": {\\n \\\"n\\\": 2,\\n \\\"negative_prompt\\\": \\\" \\\",\\n \\\"prompt_extend\\\": true,\\n \\\"watermark\\\": false\\n }\"")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}⌘I